# Class: CamelCaseClasses

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/camel_case_classes.coffee

## Variables Summary

rule =

      {
        name: 'camel_case_classes',
        level: 'error',
        message: 'Class names should be camel cased',
        description: "This rule mandates that all class names are CamelCased. Camel\ncasing class names is a generally accepted way of distinguishing\nconstructor functions - which require the 'new' prefix to behave\nproperly - from plain old functions.\n<pre>\n<code># Good!\nclass BoaConstrictor\n\n###\nBad!\n###\nclass boaConstrictor\n</code>\n</pre>\nThis rule is enabled by default."
      }

tokens =

      ['CLASS']

## Instance Method Summary

- # (void) lintToken(token, tokenApi)

## Instance Method Details

# (void) lintToken(token, tokenApi)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input